org.eclipse.microprofile.metrics

## Interface MetricFilter

    public interface MetricFilter

A filter used to determine whether or not a metric should be reported, among other things.

### Field Summary

Fields
`static MetricFilter` `ALL` Matches all metrics, regardless of type or `MetricID`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `matches(MetricID metricID, Metric metric)` Returns `true` if the metric matches the filter; `false` otherwise.

### Field Detail

#### ALL

    static final MetricFilter ALL

Matches all metrics, regardless of type or `MetricID`.

### Method Detail

#### matches

    boolean matches(MetricID metricID,
                    Metric metric)

Returns `true` if the metric matches the filter; `false` otherwise.

Parameters:
  `metricID` - the metric's `MetricID`
  `metric` - the metric
Returns:
  `true` if the metric matches the filter